Bug 208907 - vncserver command run by user results in crippled Xvnc session
vncserver command run by user results in crippled Xvnc session
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: cairo (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Behdad Esfahbod
David Lawrence
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-10-02 12:19 EDT by charlie redditt
Modified: 2008-05-06 20:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 20:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
linuxquestions.org post including pertinent bits from various log files (3.47 KB, text/plain)
2006-10-02 12:19 EDT, charlie redditt
no flags Details

  None (edit)
Description charlie redditt 2006-10-02 12:19:31 EDT
Description of problem:
If a user uses the "vncserver" command to start an Xvnc session, the resulting
vncsession is crippled.  Components such as window managers and panels either
crash outright, or the user is unable to run other apps.

If root starts the vncsession for the user using the /etc/init.d/vncserver
script, using the vncparameters in /etc/sysconfig/vncservers, the vncsession
works fine.

Version-Release number of selected component (if applicable):
vnc.i386                                 4.1.1-39.fc5           installed       
vnc-server.i386                          4.1.1-39.fc5           installed 
kernel.i686                              2.6.15-1.2054_FC5      installed

How reproducible:
user (not root) runs vncserver command from the command line.  Then connect to
running Xvnc server using a vncclient.

Steps to Reproduce:
1.run vncserver from commandline as user (not as root)
2.connect to the vncserver using a vncclient
3.
  
Actual results:
If using xfce4 or Gnome, the Xvnc session is completely useless.  Just a blank
screen, maybe an xterm, no menu, panel, or window manager.  Trying to start
xfwm4 (xfce window manager) from an xterm results in xfwm4 segfaulting, takes
taskbar with it.
If using KDE or fluxbox, the Xvnc session appears normal, but starting some apps
(like system-config-services) results in errors similar to what appears in
vnclog file for xfce4 or Gnome.  Some apps work (k3b), however.

Expected results:
Xvnc should be useable whether the user starts it or root starts it

Additional info:
Comment 1 charlie redditt 2006-10-02 12:19:31 EDT
Created attachment 137560 [details]
linuxquestions.org post including pertinent bits from various log files
Comment 2 Adam Tkac 2006-10-03 03:47:46 EDT
I tried as normal user:

$ vncserver :display
$ vncviever :display

and I have no problem with it. I can start many applications throught vncviewer
(system-config-services, xterm, ...)
Comment 3 charlie redditt 2006-10-03 17:57:24 EDT
AHA!

It has nothing to do with permissions at all.  Somehow I missed that I had
specified "-depth 8" in my user command, but had forgotten to specify this
option in /etc/sysconfig/vncservers (THe default depth is 16)

To reproduce the problem, run "vncserver :(display#) -depth 8" (root or user)

I forgot that I had specified that in my default vncserver script.  Once I take
out the depth option, or just say, do a "-depth 16" everything works fine!
Comment 4 Adam Tkac 2006-11-22 11:58:14 EST
Problem is that cairo library doesn't support depth 8, not in Xvnc. Reassign to
proper component
Comment 5 Bug Zapper 2008-04-03 14:24:11 EDT
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.
Comment 6 Bug Zapper 2008-05-06 20:54:37 EDT
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

Note You need to log in before you can comment on or make changes to this bug.